@import "../../assets/variables";

.actions {
  $root: &;
  display: flex;
  align-items: center;

  &--grow {
    #{$root} {
      &__action {
        flex-grow: 1;
      }
    }
  }

  &__action {
    cursor: pointer;

    &--primary {
      color: $color-info;
      text-decoration: underline;

      transition: color .25s ease;
      will-change: color;

      &:hover,
      &:focus {
        color: darken($color-info, 20%);
      }
    }
    &--danger {
      color: $color-danger;
      text-decoration: underline;

      transition: color .25s ease;
      will-change: color;

      &:hover,
      &:focus {
        color: darken($color-danger, 20%);
      }
    }
    &--primary-filled {
      background: $color-info;
      color: $color-light;
      border-radius: 4px;
      padding: 5px 16px;
      font-size: 12px;

      transition: background-color .25s ease;
      will-change: background-color;

      &:hover,
      &:focus {
        background-color: lighten($color-info, 10%);
      }
    }
    &--icon {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 24px;
      color: $color-danger;

      transition: color .25s ease;
      will-change: color;

      &:hover,
      &:focus {
        color: lighten($color-danger, 10%);
      }
    }

    &--sm {
      font-size: 12px;
    }

    &--xl {
      font-size: 14px;
      line-height: 2;
      font-weight: 800;
    }
  }
}